package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationimgtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "DESENSITIZATIONIMGTASK"
)
public class DesensitizationImgtask extends TBaseEntity implements Serializable {
   private static final long serialVersionUID = 1L;
   private String taskname;
   private String tasknamereal;
   private Date createtime;
   private Date updatatime;
   private String userid;
   private String username;
   private String remark;
   private String count_exe;
   @Transient
   private String removePercent;
   private String taskstatus;
   private String projectid;
   private String executeStatus;
   private String version;

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getTasknamereal() {
      return this.tasknamereal;
   }

   public void setTasknamereal(String tasknamereal) {
      this.tasknamereal = tasknamereal;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatatime() {
      return this.updatatime;
   }

   public void setUpdatatime(Date updatatime) {
      this.updatatime = updatatime;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getCount_exe() {
      return this.count_exe;
   }

   public void setCount_exe(String count_exe) {
      this.count_exe = count_exe;
   }

   public String getRemovePercent() {
      return this.removePercent;
   }

   public void setRemovePercent(String removePercent) {
      this.removePercent = removePercent;
   }

   public String getTaskstatus() {
      return this.taskstatus;
   }

   public void setTaskstatus(String taskstatus) {
      this.taskstatus = taskstatus;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getExecuteStatus() {
      return this.executeStatus;
   }

   public void setExecuteStatus(String executeStatus) {
      this.executeStatus = executeStatus;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }
}
